modeSelect();
const manual = document.getElementById("manual_setting");
if (manual !== null) {
    manual.style.display="none";
}
essidSelect();

function modeSelect() {
    const mode = document.mode_form.mode;
    const sta = document.getElementById("sta_setting");
    const ap = document.getElementById("ap_setting");
    for(var i = 0; i < mode.length; i++) {
        if(mode[i].checked) {
            if (mode[i].value == "sta") {
                sta.style.display = "block";
                ap.style.display = "none";
            } else {
                sta.style.display = "none";
                ap.style.display = "block";
            }
        }
    }
}

function methodSelect() {
    const method = document.wlan_form.method;
    const manual = document.getElementById("manual_setting");
    for(var i = 0; i < method.length; i++) {
        if(method[i].checked) {
            if (method[i].value == "manual") {
                manual.style.display = "block";
            } else {
                manual.style.display = "none";
            }
        }
    }
}

function hwmodeSelect() {
    const hwmode = document.getElementById("hw_mode");
    const channel = document.getElementById("channel");

    while (channel.options.length) {
        channel.options.remove(0)
    }
    if (hwmode.value == "g") {
        for (let i = 1; i <= 13; i++) {
            channel.options.add(new Option(i));
        }
    } else {
        // hwmode.value == "a"
        for (let i = 36; i <= 48; i += 4) {
            channel.options.add(new Option(i));
        }
    }
}

function essidSelect() {
    const essid = document.getElementById("essid");
    if (essid === null) {
        return;
    }
    const essidField = document.getElementById("other_essid_field");
    const otherEssid = document.getElementById("other_essid");

    if (essid.value == "other") {
        essidField.style.display = "block";
        otherEssid.setAttribute("required", "");
    } else {
        essidField.style.display = "none";
        otherEssid.removeAttribute("required");
    }
}
